Alembic: Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SprImpl Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SprImpl Class Reference
Inheritance diagram for Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SprImpl:
[legend]
Collaboration diagram for Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SprImpl:
[legend]

## Public Member Functions
| SprImpl (AbcA::CompoundPropertyReaderPtr iParent, Ogawa::IGroupPtr iGroup, PropertyHeaderPtr iHeader)
virtual const AbcA::PropertyHeader & | getHeader () const
virtual AbcA::ObjectReaderPtr | getObject ()
virtual AbcA::CompoundPropertyReaderPtr | getParent ()
virtual AbcA::ScalarPropertyReaderPtr | asScalarPtr ()
virtual size_t | getNumSamples ()
virtual bool | isConstant ()
virtual void | getSample (index_t iSampleIndex, void *iIntoLocation)
virtual std::pair< index_t, chrono_t > | getFloorIndex (chrono_t iTime)
virtual std::pair< index_t, chrono_t > | getCeilIndex (chrono_t iTime)
virtual std::pair< index_t, chrono_t > | getNearIndex (chrono_t iTime)
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyReader
virtual | ~ScalarPropertyReader ()
virtual void | getSample (index_t iSample, void *iIntoLocation)=0
virtual std::pair< index_t, chrono_t > | getFloorIndex (chrono_t iTime)=0
virtual std::pair< index_t, chrono_t > | getCeilIndex (chrono_t iTime)=0
virtual std::pair< index_t, chrono_t > | getNearIndex (chrono_t iTime)=0
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader
virtual | ~BasePropertyReader ()
const std::string & | getName () const
PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const MetaData & | getMetaData () const
const DataType & | getDataType () const
TimeSamplingPtr | getTimeSampling () const
virtual ArrayPropertyReaderPtr | asArrayPtr ()
virtual CompoundPropertyReaderPtr | asCompoundPtr ()

## Member Function Documentation

## ◆ asScalarPtr()

AbcA::ScalarPropertyReaderPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SprImpl::asScalarPtr | ( |  | ) |
| virtual

Up-cast this base property to a ScalarProperty, if such an upcast is valid. This can be checked with the isScalar() function. If the upcast is not valid, an empty pointer will be returned. This default implementation returns an empty pointer.

Reimplemented from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader.

## ◆ getHeader()

const AbcA::PropertyHeader & Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SprImpl::getHeader | ( |  | ) | const
| virtual

Properties are created with a collection of metadata that is stored in a lightweight structure called PropertyHeader. This returns a constant reference to the PropertyHeader which was given upon creation.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader.

## ◆ getNumSamples()

size_t Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SprImpl::getNumSamples | ( |  | ) |
| virtual

Return the number of samples contained in the property. This can be any number, including zero. This returns the number of samples that were written, independently of whether or not they were constant. Implementations may (and should) choose to condense identical samples.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyReader.

## ◆ getObject()

AbcA::ObjectReaderPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SprImpl::getObject | ( |  | ) |
| virtual

All properties have an object that owns them, and in order to ensure the object stays alive as long as the properties do, they retain a shared pointer to their object.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader.

## ◆ getParent()

AbcA::CompoundPropertyReaderPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SprImpl::getParent | ( |  | ) |
| virtual

Most properties live in a compound property. (Except for the top-compound property in any object) This returns a pointer to the parent compound property.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader.

## ◆ isConstant()

bool Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SprImpl::isConstant | ( |  | ) |
| virtual

Ask if we're constant - no change in value amongst samples, regardless of the time sampling.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyReader.

The documentation for this class was generated from the following files:

- AbcCoreOgawa/SprImpl.h
- AbcCoreOgawa/SprImpl.cpp